Subject: Re: [PATCH net] selftests/net: big_tcp: longer netperf session on slow machines

From: Jakub Kicinski <[email-masked]>
Date: Fri, 21 Feb 2025 14:44:08 -0800

On Fri, 21 Feb 2025 10:14:35 +0100 Paolo Abeni wrote:
> >> Davide Caratti found that by default the test duration 1s is too short
> >> in slow systems to reach the correct cwd size necessary for tcp/ip to
> >> generate at least one packet bigger than 65536 (matching the iptables
> >> match on length rule the test evaluates)  
> > 
> > Why not increase the test duration then?  
> 
> I gave this guidance, as with arbitrary slow machines we would need very
> long runtime. Similarly to the packetdril tests, instead of increasing
> the allowed time, simply allow xfail on KSFT_MACHINE_SLOW.

Hm. Wouldn't we ideally specify the flow length in bytes? Instead of
giving all machines 1 sec, ask to transfer ${TDB number of bytes} and
on fast machines it will complete in 1 sec, on slower machines take
longer but have a good chance of still growing the windows?